diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-enb-rrc.h ns-3.44/src/lte/model/lte-enb-rrc.h
--- ns-3.43/src/lte/model/lte-enb-rrc.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-enb-rrc.h	2025-03-09 16:55:49.599372000 -0700
@@ -1065,17 +1065,17 @@
     /**
      * TracedCallback signature for new Ue Context events.
      *
-     * \param [in] cellId
-     * \param [in] rnti
+     * @param [in] cellId
+     * @param [in] rnti
      */
     typedef void (*NewUeContextTracedCallback)(const uint16_t cellId, const uint16_t rnti);
 
     /**
      * TracedCallback signature for connection and handover end events.
      *
-     * \param [in] imsi
-     * \param [in] cellId
-     * \param [in] rnti
+     * @param [in] imsi
+     * @param [in] cellId
+     * @param [in] rnti
      */
     typedef void (*ConnectionHandoverTracedCallback)(const uint64_t imsi,
                                                      const uint16_t cellId,
@@ -1084,10 +1084,10 @@
     /**
      * TracedCallback signature for handover start events.
      *
-     * \param [in] imsi
-     * \param [in] cellId
-     * \param [in] rnti
-     * \param [in] targetCid
+     * @param [in] imsi
+     * @param [in] cellId
+     * @param [in] rnti
+     * @param [in] targetCid
      */
     typedef void (*HandoverStartTracedCallback)(const uint64_t imsi,
                                                 const uint16_t cellId,
@@ -1097,11 +1097,11 @@
     /**
      * TracedCallback signature for receive measurement report events.
      *
-     * \param [in] imsi
-     * \param [in] cellId
-     * \param [in] rnti
-     * \param [in] report
-     * \todo The \c LteRrcSap::MeasurementReport argument should be
+     * @param [in] imsi
+     * @param [in] cellId
+     * @param [in] rnti
+     * @param [in] report
+     * @todo The \c LteRrcSap::MeasurementReport argument should be
      * changed to a const reference since the argument is large.
      */
     typedef void (*ReceiveReportTracedCallback)(const uint64_t imsi,
@@ -1112,10 +1112,10 @@
     /**
      * TracedCallback signature for timer expiry events
      *
-     * \param [in] imsi
-     * \param [in] rnti
-     * \param [in] cellId
-     * \param [in] cause
+     * @param [in] imsi
+     * @param [in] rnti
+     * @param [in] cellId
+     * @param [in] cause
      */
     typedef void (*TimerExpiryTracedCallback)(const uint64_t imsi,
                                               const uint16_t rnti,
@@ -1125,9 +1125,9 @@
     /**
      * TracedCallback signature for handover failure events.
      *
-     * \param [in] imsi
-     * \param [in] rnti
-     * \param [in] cellId
+     * @param [in] imsi
+     * @param [in] rnti
+     * @param [in] cellId
      */
     typedef void (*HandoverFailureTracedCallback)(const uint64_t imsi,
                                                   const uint16_t rnti,
@@ -1139,24 +1139,24 @@
     /**
      * Part of the RRC protocol. Forwarding LteEnbRrcSapProvider::CompleteSetupUe interface to
      * UeManager::CompleteSetupUe
-     * \param rnti the RNTI
-     * \param params the LteEnbRrcSapProvider::CompleteSetupUeParameters
+     * @param rnti the RNTI
+     * @param params the LteEnbRrcSapProvider::CompleteSetupUeParameters
      */
     void DoCompleteSetupUe(uint16_t rnti, LteEnbRrcSapProvider::CompleteSetupUeParameters params);
     /**
      * Part of the RRC protocol. Forwarding LteEnbRrcSapProvider::RecvRrcConnectionRequest interface
      * to UeManager::RecvRrcConnectionRequest
      *
-     * \param rnti the RNTI
-     * \param msg the LteRrcSap::RrcConnectionRequest
+     * @param rnti the RNTI
+     * @param msg the LteRrcSap::RrcConnectionRequest
      */
     void DoRecvRrcConnectionRequest(uint16_t rnti, LteRrcSap::RrcConnectionRequest msg);
     /**
      * Part of the RRC protocol. Forwarding LteEnbRrcSapProvider::RecvRrcConnectionSetupCompleted
      * interface to UeManager::RecvRrcConnectionSetupCompleted
      *
-     * \param rnti the RNTI
-     * \param msg the LteRrcSap::RrcConnectionSetupCompleted
+     * @param rnti the RNTI
+     * @param msg the LteRrcSap::RrcConnectionSetupCompleted
      */
     void DoRecvRrcConnectionSetupCompleted(uint16_t rnti,
                                            LteRrcSap::RrcConnectionSetupCompleted msg);
@@ -1165,8 +1165,8 @@
      * LteEnbRrcSapProvider::RecvRrcConnectionReconfigurationCompleted interface to
      * UeManager::RecvRrcConnectionReconfigurationCompleted
      *
-     * \param rnti the RNTI
-     * \param msg the LteRrcSap::RrcConnectionReconfigurationCompleted
+     * @param rnti the RNTI
+     * @param msg the LteRrcSap::RrcConnectionReconfigurationCompleted
      */
     void DoRecvRrcConnectionReconfigurationCompleted(
         uint16_t rnti,
@@ -1176,8 +1176,8 @@
      * LteEnbRrcSapProvider::RecvRrcConnectionReestablishmentRequest interface to
      * UeManager::RecvRrcConnectionReestablishmentRequest
      *
-     * \param rnti the RNTI
-     * \param msg the LteRrcSap::RrcConnectionReestablishmentRequest
+     * @param rnti the RNTI
+     * @param msg the LteRrcSap::RrcConnectionReestablishmentRequest
      */
     void DoRecvRrcConnectionReestablishmentRequest(
         uint16_t rnti,
@@ -1187,8 +1187,8 @@
      * LteEnbRrcSapProvider::RecvRrcConnectionReestablishmentComplete interface to
      * UeManager::RecvRrcConnectionReestablishmentComplete
      *
-     * \param rnti the RNTI
-     * \param msg the LteRrcSap::RrcConnectionReestablishmentComplete
+     * @param rnti the RNTI
+     * @param msg the LteRrcSap::RrcConnectionReestablishmentComplete
      */
     void DoRecvRrcConnectionReestablishmentComplete(
         uint16_t rnti,
@@ -1197,12 +1197,12 @@
      * Part of the RRC protocol. Forwarding LteEnbRrcSapProvider::RecvMeasurementReport interface to
      * UeManager::RecvMeasurementReport
      *
-     * \param rnti the RNTI
-     * \param msg the LteRrcSap::MeasurementReport
+     * @param rnti the RNTI
+     * @param msg the LteRrcSap::MeasurementReport
      */
     void DoRecvMeasurementReport(uint16_t rnti, LteRrcSap::MeasurementReport msg);
     /**
-     * \brief Part of the RRC protocol. Forwarding
+     * @brief Part of the RRC protocol. Forwarding
      * LteEnbRrcSapProvider::RecvIdealUeContextRemoveRequest interface to
      * UeManager::RecvIdealUeContextRemoveRequest.
      *
@@ -1211,7 +1211,7 @@
      * MME only at the beginning of simulation and if they are removed,
      * the bearers cannot be activated again.
      *
-     * \param rnti the C-RNTI identifying the user
+     * @param rnti the C-RNTI identifying the user
      */
     void DoRecvIdealUeContextRemoveRequest(uint16_t rnti);
 
@@ -1220,20 +1220,20 @@
     /**
      * Initial context setup request function
      *
-     * \param params EpcEnbS1SapUser::InitialContextSetupRequestParameters
+     * @param params EpcEnbS1SapUser::InitialContextSetupRequestParameters
      */
     void DoInitialContextSetupRequest(EpcEnbS1SapUser::InitialContextSetupRequestParameters params);
     /**
      * Data radio beaerer setup request function
      *
-     * \param params EpcEnbS1SapUser::DataRadioBearerSetupRequestParameters
+     * @param params EpcEnbS1SapUser::DataRadioBearerSetupRequestParameters
      */
     void DoDataRadioBearerSetupRequest(
         EpcEnbS1SapUser::DataRadioBearerSetupRequestParameters params);
     /**
      * Path switch request acknowledge function
      *
-     * \param params EpcEnbS1SapUser::PathSwitchRequestAcknowledgeParameters
+     * @param params EpcEnbS1SapUser::PathSwitchRequestAcknowledgeParameters
      */
     void DoPathSwitchRequestAcknowledge(
         EpcEnbS1SapUser::PathSwitchRequestAcknowledgeParameters params);
@@ -1243,55 +1243,55 @@
     /**
      * Receive handover request function
      *
-     * \param params EpcX2SapUser::HandoverRequestParams
+     * @param params EpcX2SapUser::HandoverRequestParams
      */
     void DoRecvHandoverRequest(EpcX2SapUser::HandoverRequestParams params);
     /**
      * Receive handover request acknowledge function
      *
-     * \param params EpcX2SapUser::HandoverRequestAckParams
+     * @param params EpcX2SapUser::HandoverRequestAckParams
      */
     void DoRecvHandoverRequestAck(EpcX2SapUser::HandoverRequestAckParams params);
     /**
      * Receive handover preparation failure function
      *
-     * \param params EpcX2SapUser::HandoverPreparationFailureParams
+     * @param params EpcX2SapUser::HandoverPreparationFailureParams
      */
     void DoRecvHandoverPreparationFailure(EpcX2SapUser::HandoverPreparationFailureParams params);
     /**
      * Receive SN status transfer function
      *
-     * \param params EpcX2SapUser::SnStatusTransferParams
+     * @param params EpcX2SapUser::SnStatusTransferParams
      */
     void DoRecvSnStatusTransfer(EpcX2SapUser::SnStatusTransferParams params);
     /**
      * Receive UE context release function
      *
-     * \param params EpcX2SapUser::UeContextReleaseParams
+     * @param params EpcX2SapUser::UeContextReleaseParams
      */
     void DoRecvUeContextRelease(EpcX2SapUser::UeContextReleaseParams params);
     /**
      * Receive load information function
      *
-     * \param params EpcX2SapUser::LoadInformationParams
+     * @param params EpcX2SapUser::LoadInformationParams
      */
     void DoRecvLoadInformation(EpcX2SapUser::LoadInformationParams params);
     /**
      * Receive resource status update function
      *
-     * \param params EpcX2SapUser::ResourceStatusUpdateParams
+     * @param params EpcX2SapUser::ResourceStatusUpdateParams
      */
     void DoRecvResourceStatusUpdate(EpcX2SapUser::ResourceStatusUpdateParams params);
     /**
      * Receive UE data function
      *
-     * \param params EpcX2SapUser::UeDataParams
+     * @param params EpcX2SapUser::UeDataParams
      */
     void DoRecvUeData(EpcX2SapUser::UeDataParams params);
     /**
      * Receive Handover Cancel function.
      *
-     * \param params EpcX2SapUser::HandoverCancelParams
+     * @param params EpcX2SapUser::HandoverCancelParams
      */
     void DoRecvHandoverCancel(EpcX2SapUser::HandoverCancelParams params);
 
@@ -1300,22 +1300,22 @@
     /**
      * Allocate temporary cell RNTI function
      *
-     * \param componentCarrierId ID of the primary component carrier
-     * \return temporary RNTI
+     * @param componentCarrierId ID of the primary component carrier
+     * @return temporary RNTI
      */
     uint16_t DoAllocateTemporaryCellRnti(uint8_t componentCarrierId);
     /**
      * Notify LC config result function
      *
-     * \param rnti RNTI
-     * \param lcid LCID
-     * \param success the success indicator
+     * @param rnti RNTI
+     * @param lcid LCID
+     * @param success the success indicator
      */
     void DoNotifyLcConfigResult(uint16_t rnti, uint8_t lcid, bool success);
     /**
      * RRC configuration update indication function
      *
-     * \param params LteEnbCmacSapUser::UeConfig
+     * @param params LteEnbCmacSapUser::UeConfig
      */
     void DoRrcConfigurationUpdateInd(LteEnbCmacSapUser::UeConfig params);
 
@@ -1324,29 +1324,29 @@
     /**
      * Add UE measure report config for handover function
      *
-     * \param reportConfig LteRrcSap::ReportConfigEutra
-     * \returns measure ID
+     * @param reportConfig LteRrcSap::ReportConfigEutra
+     * @returns measure ID
      */
     std::vector<uint8_t> DoAddUeMeasReportConfigForHandover(
         LteRrcSap::ReportConfigEutra reportConfig);
     /**
      * Add UE measure report config for component carrier function
      *
-     * \param reportConfig LteRrcSap::ReportConfigEutra
-     * \returns measure ID
+     * @param reportConfig LteRrcSap::ReportConfigEutra
+     * @returns measure ID
      */
     uint8_t DoAddUeMeasReportConfigForComponentCarrier(LteRrcSap::ReportConfigEutra reportConfig);
     /**
-     * \brief Set number of component carriers
-     * \param numberOfComponentCarriers the number of component carriers
+     * @brief Set number of component carriers
+     * @param numberOfComponentCarriers the number of component carriers
      */
     void DoSetNumberOfComponentCarriers(uint16_t numberOfComponentCarriers);
 
     /**
      * Trigger handover function
      *
-     * \param rnti RNTI
-     * \param targetCellId target cell ID
+     * @param rnti RNTI
+     * @param targetCellId target cell ID
      */
     void DoTriggerHandover(uint16_t rnti, uint16_t targetCellId);
 
@@ -1355,8 +1355,8 @@
     /**
      * Add UE measure report config for ANR function
      *
-     * \param reportConfig LteRrcSap::ReportConfigEutra
-     * \returns measure ID
+     * @param reportConfig LteRrcSap::ReportConfigEutra
+     * @returns measure ID
      */
     uint8_t DoAddUeMeasReportConfigForAnr(LteRrcSap::ReportConfigEutra reportConfig);
 
@@ -1364,21 +1364,21 @@
     /**
      * Add UE measure report config for FFR function
      *
-     * \param reportConfig LteRrcSap::ReportConfigEutra
-     * \returns measure ID
+     * @param reportConfig LteRrcSap::ReportConfigEutra
+     * @returns measure ID
      */
     uint8_t DoAddUeMeasReportConfigForFfr(LteRrcSap::ReportConfigEutra reportConfig);
     /**
      * Set PDSCH config dedicated function
      *
-     * \param rnti the RNTI
-     * \param pa LteRrcSap::PdschConfigDedicated
+     * @param rnti the RNTI
+     * @param pa LteRrcSap::PdschConfigDedicated
      */
     void DoSetPdschConfigDedicated(uint16_t rnti, LteRrcSap::PdschConfigDedicated pa);
     /**
      * Send load information function
      *
-     * \param params EpcX2Sap::LoadInformationParams
+     * @param params EpcX2Sap::LoadInformationParams
      */
     void DoSendLoadInformation(EpcX2Sap::LoadInformationParams params);
 
@@ -1389,30 +1389,30 @@
      *   * T-C-RNTI allocation upon contention-based MAC Random Access procedure
      *   * target cell RNTI allocation upon handover
      *
-     * \param state the initial state of the UeManager
-     * \param componentCarrierId primary component carrier ID of the UeManager
+     * @param state the initial state of the UeManager
+     * @param componentCarrierId primary component carrier ID of the UeManager
      *
-     * \return the newly allocated RNTI
+     * @return the newly allocated RNTI
      */
     uint16_t AddUe(UeManager::State state, uint8_t componentCarrierId);
 
     /**
      * remove a UE from the cell
      *
-     * \param rnti the C-RNTI identiftying the user
+     * @param rnti the C-RNTI identiftying the user
      */
     void RemoveUe(uint16_t rnti);
 
     /**
      *
-     * \param bearer the specification of an EPS bearer
+     * @param bearer the specification of an EPS bearer
      *
-     * \return the type of RLC that is to be created for the given EPS bearer
+     * @return the type of RLC that is to be created for the given EPS bearer
      */
     TypeId GetRlcType(EpsBearer bearer);
 
     /**
-     * \brief Is random access completed function
+     * @brief Is random access completed function
      *
      * This method is executed to decide if the non contention based
      * preamble has to reused or not upon preamble expiry. If the random access
@@ -1420,8 +1420,8 @@
      * If not, the same UE retains the preamble and other available preambles is
      * assigned to the required UEs.
      *
-     * \param rnti the C-RNTI identifying the user
-     * \return true if the random access in connected mode is completed
+     * @param rnti the C-RNTI identifying the user
+     * @return true if the random access in connected mode is completed
      */
     bool IsRandomAccessCompleted(uint16_t rnti);
 
@@ -1429,26 +1429,26 @@
     /**
      * Add a neighbour with an X2 interface
      *
-     * \param cellId neighbouring cell id
+     * @param cellId neighbouring cell id
      */
     void AddX2Neighbour(uint16_t cellId);
 
     /**
      *
-     * \param p the SRS periodicity in num TTIs
+     * @param p the SRS periodicity in num TTIs
      */
     void SetSrsPeriodicity(uint32_t p);
 
     /**
      *
-     * \return the current SRS periodicity
+     * @return the current SRS periodicity
      */
     uint32_t GetSrsPeriodicity() const;
 
     /**
-     * \brief Associate this RRC entity with a particular CSG information.
-     * \param csgId the intended Closed Subscriber Group identity
-     * \param csgIndication if TRUE, only CSG members are allowed to access the
+     * @brief Associate this RRC entity with a particular CSG information.
+     * @param csgId the intended Closed Subscriber Group identity
+     * @param csgIndication if TRUE, only CSG members are allowed to access the
      *                      cell
      *
      * CSG identity is a number identifying a Closed Subscriber Group which the
@@ -1470,42 +1470,42 @@
     /**
      * Allocate a new SRS configuration index for a new UE.
      *
-     * \note this method can have the side effect of updating the SRS
+     * @note this method can have the side effect of updating the SRS
      * configuration index of all UEs
      *
-     * \return the newly allocated SRS configuration index
+     * @return the newly allocated SRS configuration index
      */
     uint16_t GetNewSrsConfigurationIndex();
 
     /**
      * remove a previously allocated SRS configuration index
      *
-     * \note this method can have the side effect of updating the SRS
+     * @note this method can have the side effect of updating the SRS
      * configuration index of all UEs
      *
-     * \param srcCi the index to be removed
+     * @param srcCi the index to be removed
      */
     void RemoveSrsConfigurationIndex(uint16_t srcCi);
 
     /**
-     * \return true if all the SRS indices are assigned to UEs
+     * @return true if all the SRS indices are assigned to UEs
      */
     bool IsMaxSrsReached();
 
     /**
      *
-     * \param bearer the characteristics of the bearer
+     * @param bearer the characteristics of the bearer
      *
-     * \return the Logical Channel Group in a bearer with these
+     * @return the Logical Channel Group in a bearer with these
      * characteristics is put. Used for MAC Buffer Status Reporting purposes.
      */
     uint8_t GetLogicalChannelGroup(EpsBearer bearer);
 
     /**
      *
-     * \param bearer the characteristics of the bearer
+     * @param bearer the characteristics of the bearer
      *
-     * \return the priority level of a bearer with these
+     * @return the priority level of a bearer with these
      * characteristics is put. Used for the part of UL MAC Scheduling
      * carried out by the UE
      */
@@ -1777,6 +1777,14 @@
 
 }; // end of `class LteEnbRrc`
 
+/**
+ * @brief Stream insertion operator.
+ * @param [in] os The reference to the output stream.
+ * @param [in] state The UeManager::State.
+ * @return The reference to the output stream.
+ */
+std::ostream& operator<<(std::ostream& os, UeManager::State state);
+
 } // namespace ns3
 
 #endif // LTE_ENB_RRC_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-algorithm.cc ns-3.44/src/lte/model/lte-ffr-algorithm.cc
--- ns-3.43/src/lte/model/lte-ffr-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -10,8 +10,8 @@
 #include "lte-ffr-algorithm.h"
 
 #include "ns3/boolean.h"
+#include "ns3/log.h"
 #include "ns3/uinteger.h"
-#include <ns3/log.h>
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-algorithm.h ns-3.44/src/lte/model/lte-ffr-algorithm.h
--- ns-3.43/src/lte/model/lte-ffr-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -14,7 +14,7 @@
 #include "ff-mac-sched-sap.h"
 #include "lte-rrc-sap.h"
 
-#include <ns3/object.h>
+#include "ns3/object.h"
 
 #include <map>
 
@@ -28,7 +28,7 @@
 class LteFfrRrcSapProvider;
 
 /**
- * \brief The abstract base class of a Frequency Reuse algorithm
+ * @brief The abstract base class of a Frequency Reuse algorithm
  *
  * Generally Frequency reuse algorithm tells the Scheduler which RB can be allocated
  * and which can not. FR policy depend on its implementation.
@@ -52,68 +52,68 @@
     ~LteFfrAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Set the "user" part of the LteFfrSap interface that
+     * @brief Set the "user" part of the LteFfrSap interface that
      *        this frequency reuse algorithm instance will interact with.
-     * \param s a reference to the "user" part of the interface, typically a
+     * @param s a reference to the "user" part of the interface, typically a
      *          member of an Scheduler instance
      */
     virtual void SetLteFfrSapUser(LteFfrSapUser* s) = 0;
 
     /**
-     * \brief Set the "user" part of the LteFfrRrcSap interface that
+     * @brief Set the "user" part of the LteFfrRrcSap interface that
      *        this frequency reuse algorithm instance will interact with.
-     * \param s a reference to the "user" part of the interface, typically a
+     * @param s a reference to the "user" part of the interface, typically a
      *          member of an LteEnbRrc instance
      */
     virtual void SetLteFfrRrcSapUser(LteFfrRrcSapUser* s) = 0;
 
     /**
-     * \brief Export the "provider" part of the LteFfrSap interface.
-     * \return the reference to the "provider" part of the interface, typically to
+     * @brief Export the "provider" part of the LteFfrSap interface.
+     * @return the reference to the "provider" part of the interface, typically to
      *         be kept by an Scheduler instance
      */
     virtual LteFfrSapProvider* GetLteFfrSapProvider() = 0;
 
     /**
-     * \brief Export the "provider" part of the LteFfrRrcSap interface.
-     * \return the reference to the "provider" part of the interface, typically to
+     * @brief Export the "provider" part of the LteFfrRrcSap interface.
+     * @return the reference to the "provider" part of the interface, typically to
      *         be kept by an LteEnbRrc instance
      */
     virtual LteFfrRrcSapProvider* GetLteFfrRrcSapProvider() = 0;
 
     /**
-     * \return the uplink bandwidth in RBs
+     * @return the uplink bandwidth in RBs
      */
     uint16_t GetUlBandwidth() const;
 
     /**
-     * \param bw the uplink bandwidth in RBs
+     * @param bw the uplink bandwidth in RBs
      */
     void SetUlBandwidth(uint16_t bw);
 
     /**
-     * \return the downlink bandwidth in RBs
+     * @return the downlink bandwidth in RBs
      */
     uint16_t GetDlBandwidth() const;
 
     /**
-     * \param bw the downlink bandwidth in RBs
+     * @param bw the downlink bandwidth in RBs
      */
     void SetDlBandwidth(uint16_t bw);
 
     /**
-     * \param cellTypeId for automatic FR configuration
+     * @param cellTypeId for automatic FR configuration
      */
     void SetFrCellTypeId(uint8_t cellTypeId);
 
     /**
-     * \return cellTypeId which is used for automatic FR configuration
+     * @return cellTypeId which is used for automatic FR configuration
      */
     uint8_t GetFrCellTypeId() const;
 
@@ -122,114 +122,114 @@
     void DoDispose() override;
 
     /**
-     * \brief Automatic FR reconfiguration
+     * @brief Automatic FR reconfiguration
      */
     virtual void Reconfigure() = 0;
 
     // FFR SAP PROVIDER IMPLEMENTATION
 
     /**
-     * \brief Implementation of LteFfrSapProvider::GetAvailableDlRbg
-     * \return vector of size (m_dlBandwidth/RbgSize); false indicates
+     * @brief Implementation of LteFfrSapProvider::GetAvailableDlRbg
+     * @return vector of size (m_dlBandwidth/RbgSize); false indicates
      *                    that RBG is free to use, true otherwise
      */
     virtual std::vector<bool> DoGetAvailableDlRbg() = 0;
 
     /**
-     * \brief Implementation of LteFfrSapProvider::IsDlRbgAvailableForUe
-     * \param rbId
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Implementation of LteFfrSapProvider::IsDlRbgAvailableForUe
+     * @param rbId
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \return true if UE can be served on i-th RB, false otherwise
+     * @return true if UE can be served on i-th RB, false otherwise
      */
     virtual bool DoIsDlRbgAvailableForUe(int rbId, uint16_t rnti) = 0;
 
     /**
-     * \brief Implementation of LteFfrSapProvider::GetAvailableUlRbg.
-     * \return vector of size m_ulBandwidth; false indicates
+     * @brief Implementation of LteFfrSapProvider::GetAvailableUlRbg.
+     * @return vector of size m_ulBandwidth; false indicates
      *                    that RB is free to use, true otherwise
      */
     virtual std::vector<bool> DoGetAvailableUlRbg() = 0;
 
     /**
-     * \brief Implementation of LteFfrSapProvider::IsUlRbgAvailableForUe.
-     * \param rbId
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Implementation of LteFfrSapProvider::IsUlRbgAvailableForUe.
+     * @param rbId
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \return true if UE can be served on i-th RB, false otherwise
+     * @return true if UE can be served on i-th RB, false otherwise
      */
     virtual bool DoIsUlRbgAvailableForUe(int rbId, uint16_t rnti) = 0;
 
     /**
-     * \brief DoReportDlCqiInfo
-     * \param params
+     * @brief DoReportDlCqiInfo
+     * @param params
      *
      */
     virtual void DoReportDlCqiInfo(
         const FfMacSchedSapProvider::SchedDlCqiInfoReqParameters& params) = 0;
 
     /**
-     * \brief DoReportUlCqiInfo
-     * \param params
+     * @brief DoReportUlCqiInfo
+     * @param params
      *
      */
     virtual void DoReportUlCqiInfo(
         const FfMacSchedSapProvider::SchedUlCqiInfoReqParameters& params) = 0;
 
     /**
-     * \brief DoReportUlCqiInfo
-     * \param ulCqiMap
+     * @brief DoReportUlCqiInfo
+     * @param ulCqiMap
      *
      */
     virtual void DoReportUlCqiInfo(std::map<uint16_t, std::vector<double>> ulCqiMap) = 0;
 
     /**
-     * \brief DoGetTpc for UE
-     * \param rnti
-     * \return TPC value
+     * @brief DoGetTpc for UE
+     * @param rnti
+     * @return TPC value
      */
     virtual uint8_t DoGetTpc(uint16_t rnti) = 0;
 
     /**
-     * \brief DoGetMinContinuousUlBandwidth in number of RB
-     * \return number of RB in min continuous UL Bandwidth
+     * @brief DoGetMinContinuousUlBandwidth in number of RB
+     * @return number of RB in min continuous UL Bandwidth
      */
     virtual uint16_t DoGetMinContinuousUlBandwidth() = 0;
 
     // FFR SAP RRC PROVIDER IMPLEMENTATION
 
     /**
-     * \brief SetCellId
-     * \param cellId the Cell Identifier
+     * @brief SetCellId
+     * @param cellId the Cell Identifier
      */
     virtual void DoSetCellId(uint16_t cellId);
 
     /**
-     * \brief Implementation of LteFfrRrcSapProvider::SetBandwidth.
-     * \param ulBandwidth UL bandwidth in number of RB
-     * \param dlBandwidth DL bandwidth in number of RB
+     * @brief Implementation of LteFfrRrcSapProvider::SetBandwidth.
+     * @param ulBandwidth UL bandwidth in number of RB
+     * @param dlBandwidth DL bandwidth in number of RB
      */
     virtual void DoSetBandwidth(uint16_t ulBandwidth, uint16_t dlBandwidth);
 
     /**
-     * \brief Implementation of LteFfrRrcSapProvider::ReportUeMeas.
-     * \param rnti Radio Network Temporary Identity, an integer identifying the UE
+     * @brief Implementation of LteFfrRrcSapProvider::ReportUeMeas.
+     * @param rnti Radio Network Temporary Identity, an integer identifying the UE
      *             where the report originates from
-     * \param measResults a single report of one measurement identity
+     * @param measResults a single report of one measurement identity
      */
     virtual void DoReportUeMeas(uint16_t rnti, LteRrcSap::MeasResults measResults) = 0;
 
     /**
-     * \brief DoRecvLoadInformation
-     * \param params
+     * @brief DoRecvLoadInformation
+     * @param params
      *
      */
     virtual void DoRecvLoadInformation(EpcX2Sap::LoadInformationParams params) = 0;
 
     /**
-     * \brief Get RBG size for DL Bandwidth according to table 7.1.6.1-1 of 36.213
-     * \param dlbandwidth
-     * \return size of RBG in number of RB
+     * @brief Get RBG size for DL Bandwidth according to table 7.1.6.1-1 of 36.213
+     * @param dlbandwidth
+     * @return size of RBG in number of RB
      */
     int GetRbgSize(int dlbandwidth);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.cc ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.cc
--- ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.cc	2025-03-09 16:55:49.599372000 -0700
@@ -9,7 +9,7 @@
 
 #include "lte-ffr-distributed-algorithm.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-ffr-distributed-algorithm.h	2025-03-09 16:55:49.599372000 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \brief Distributed Fractional Frequency Reuse algorithm implementation.
+ * @brief Distributed Fractional Frequency Reuse algorithm implementation.
  */
 class LteFfrDistributedAlgorithm : public LteFfrAlgorithm
 {
@@ -28,8 +28,8 @@
     ~LteFfrDistributedAlgorithm() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -73,15 +73,15 @@
     /**
      * Set down link configuration function
      *
-     * \param cellId cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId cell ID
+     * @param bandwidth the bandwidth
      */
     void SetDownlinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
      * Set up link configuration function
      *
-     * \param cellId cell ID
-     * \param bandwidth the bandwidth
+     * @param cellId cell ID
+     * @param bandwidth the bandwidth
      */
     void SetUplinkConfiguration(uint16_t cellId, uint8_t bandwidth);
     /**
@@ -96,10 +96,10 @@
     /**
      * Initialize up link RBG maps function
      *
-     * \param rnti the RNTI
-     * \param cellId the cell ID
-     * \param rsrp the RSRP
-     * \param rsrq the RSRQ
+     * @param rnti the RNTI
+     * @param cellId the cell ID
+     * @param rsrp the RSRP
+     * @param rsrq the RSRQ
      */
     void UpdateNeighbourMeasurements(uint16_t rnti, uint16_t cellId, uint8_t rsrp, uint8_t rsrq);
 
@@ -108,7 +108,7 @@
     /**
      * Send load information function
      *
-     * \param targetCellId the cell ID
+     * @param targetCellId the cell ID
      */
     void SendLoadInformation(uint16_t targetCellId);
 
@@ -153,7 +153,7 @@
     uint8_t m_rsrpMeasId; ///< RSRP measurement ID
 
     /**
-     * \brief Measurements reported by a UE for a cell ID.
+     * @brief Measurements reported by a UE for a cell ID.
      *
      * The values are quantized according 3GPP TS 36.133 section 9.1.4 and 9.1.7.
      */
